// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "scene/SceneItemComponent.hpp"
#include "scene/components/entity/EntityFaction.hpp"

namespace Dawn {
  class HurtHazard : public SceneItemComponent {
    public:
      int32_t damage = 1;
      enum Faction faction = FACTION_NONE;
      
      HurtHazard(SceneItem* item);
  };
}